#!/bin/bash
set -euo pipefail

if [ -n "$LOCAL_NETWORK" ]; then
  gateway=$(ip route list match 0.0.0.0 | grep -v tun0 | cut -d ' ' -f 3)
  interface=$(ip route list match 0.0.0.0 | grep -v tun0 | cut -d ' ' -f 5)
  echo gateway="$gateway"
  echo interface="$interface"
fi

wg-quick up /wireguard.conf

if [ -n "$LOCAL_NETWORK" ]; then
  ip r add "$LOCAL_NETWORK" via "${gateway}" dev "${interface}"
fi
